.block--call-to-action {
	position: relative;
	padding: var(--wp--preset--spacing--160) 0;
	background-color: #f5f9fc;
	z-index: 0;
	overflow: hidden;
}

.block--call-to-action .wp-block-iesa-container {
	position: relative;
	z-index: 2;
}

.block--call-to-action--main {
	position: relative;
	border-radius: 40px;
	padding: var(--wp--preset--spacing--80);
	z-index: 1;
}

@media screen and (max-width: 1280px) {
	.block--call-to-action--main {
		padding: var(--wp--preset--spacing--60) var(--wp--preset--spacing--40);
	}
}

.block--call-to-action--main .wp-block-columns {
	position: relative;
	gap: var(--wp--preset--spacing--40);
	z-index: 2;
}

.block--call-to-action--form {
	padding: var(--wp--preset--spacing--40);
	border-radius: 40px;
	background: #f5f9fc;
	min-height: 200px;
}

.block--call-to-action--background-image {
	position: absolute;

	inset: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
	border-radius: 40px;
	overflow: hidden;
}

.block--call-to-action--background-image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.block--call-to-action--background-image::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: linear-gradient(
			90deg,
			rgba(8, 201, 255, 0.5) 0%,
			rgba(0, 55, 87, 0.5) 30.51%,
			rgba(255, 255, 255, 0) 100.59%
		),
		linear-gradient(90deg, rgba(0, 34, 48, 0.5) 0%, rgba(0, 34, 48, 0) 50%);
	background-blend-mode: normal, multiply;
	z-index: 2;
	border-radius: 40px;
}

.block--call-to-action::before {
	position: absolute;
	height: 420px;
	width: 420px;
	background: linear-gradient(282deg, #98e73e 5.92%, #08c9ff 92.23%);
	filter: blur(200px);
	z-index: 2;
	content: '';
	bottom: 0;
	transform: translateY(40%);
	/* animation: block--home-hero--background--container--pulse 5s ease-in-out
		infinite alternate; */
}

@media screen and (max-width: 1024px) {
	.block--call-to-action--main h3 {
		font-size: var(--wp--preset--font-size--xx-lg) !important;
	}
}

@media screen and (max-width: 640px) {
	.block--call-to-action--main h3 {
		font-size: var(--wp--preset--font-size--x-lg) !important;
	}
}
